Bug 1472979 - DWARF5 support in eu-readelf
Summary: DWARF5 support in eu-readelf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Developer Toolset
Classification: Red Hat
Component: elfutils
Version: DTS 7.0 RHEL 7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: alpha
: 7.0
Assignee: Mark Wielaard
QA Contact: Martin Cermak
URL:
Whiteboard:
Depends On: 1472955 1472969 1472978
Blocks: 1472966 1472971
TreeView+ depends on / blocked
 
Reported: 2017-07-19 17:37 UTC by Ben Woodard
Modified: 2017-10-24 09:46 UTC (History)
11 users (show)

Fixed In Version: devtoolset-7-elfutils-0.170-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1472969
Environment:
Last Closed: 2017-10-24 09:46:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:3010 normal SHIPPED_LIVE new packages: devtoolset-7-elfutils 2017-10-24 13:20:15 UTC

Comment 2 Ben Woodard 2017-07-19 17:39:18 UTC
After talking to mjw we decided that it was best to deliver this first in DTS and then later in RHEL.

Comment 3 Mark Wielaard 2017-08-03 12:32:42 UTC
elfutils 0.170 was released with partial DWARF5 support:

libdw: Added new DWARF5 attribute, tag, character encoding, language code,
       calling convention, defaulted member function and macro constants
       to dwarf.h.
       New functions dwarf_default_lower_bound and dwarf_line_file.
       dwarf_peel_type now handles DWARF5 immutable, packed and shared tags.
       dwarf_getmacros now handles DWARF5 .debug_macro sections.

This isn't full DWARF5 support, but it is all the DWARF5 you can encounter in "non-strict" DWARF mode (aka DWARF4 plus extensions that don't alter any data structures/forms). Which is enough for purposes of this bug/feature.

Comment 5 Martin Cermak 2017-09-15 15:05:31 UTC
Made sure elfutils-0.168-8.el7 do not have the minimal DWARF5 support in terms of attached testcase 560859, and verified, that this minimal support is in place within devtoolset-7-elfutils-0.170-1.el{6,7}

Comment 7 errata-xmlrpc 2017-10-24 09:46:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:3010


Note You need to log in before you can comment on or make changes to this bug.